

<?php
include_once '../control/db-config.php'; // Include your database connection file

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['query'])) {
    $searchQuery = trim($_POST['query']);

    try {
        // Initialize query builder and fetch matching member names
        $query = $service->initializeQueryBuilder();
        $members = $query->select('member_id,name')
                         ->from('tb_member')
                         ->where('name', 'ilike.%' . $searchQuery . '%') // Case-insensitive matching
                         ->order('name.asc')
                         ->execute()
                         ->getResult();

        $response = [];
        foreach ($members as $member) {
            $response[] = ['name' => $member->name,'mid' => $member->member_id];
        }

        echo json_encode($response);
    } catch (Exception $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Invalid request.']);
}
?>
